org.apache.solr.hadoop

## Class LineRandomizerReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>
  - - org.apache.solr.hadoop.LineRandomizerReducer

-     public class LineRandomizerReducer
      extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>

  MR Reducer that randomizing a list of URLs. Reducer input is (randomPosition, URL) pairs. Each such pair indicates a file to index. Reducer output is a list of URLs, each URL in a random position.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `org.apache.hadoop.mapreduce.Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineRandomizerReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `reduce(org.apache.hadoop.io.LongWritable key, Iterable<org.apache.hadoop.io.Text> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineRandomizerReducer

          public LineRandomizerReducer()

  - ### Method Detail

    - #### reduce

          protected void reduce(org.apache.hadoop.io.LongWritable key,
                                Iterable<org.apache.hadoop.io.Text> values,
                                org.apache.hadoop.mapreduce.Reducer.Context context)
                         throws IOException,
                                InterruptedException

      Overrides:
        `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.